Subject: Re: [Bitcoin-development] does "stubbing" off Merkle trees reduce initial download bandwidth?

From: Gregory Maxwell <[email-masked]>
Date: Mon, 2 Jan 2012 17:41:10 -0500

On Mon, Jan 2, 2012 at 5:23 PM, Elden Tyrell <[email-masked]> wrote:
> On 2012-01-02 05:31:19 -0800, Christian Decker said:
>> Later full blocks would be required to detect usable inputs for future
>> outgoing transactions.
>
> Er, yes, this is what I meant; I guess I should have been more specific.
>
> So, a paranoid client cannot confirm reciept of coins until it has an
> unstubbed copy of the entire chain.  It can do other things (like send
> coins) using a stubbed chain, but it needs the whole unstubbed chain in
> order to be sure that incoming coins haven't already been spent.
>
> Thanks for confirming this.

Er, no—  if a node controls the private keys for a transaction, and
that transaction makes it into the chain then it can safely assume
that its unspent (at least once its buried a few blocks into the
chain).  This is the essence of a SPV node.

What it can't do is perform this function for txn which aren't its
own. Though the system could be extended in a compatible manner to
make this possible: https://bitcointalk.org/index.php?topic=21995.0